/*
 ============================================================================
 Name        : CalculateAverage.c
 Author      : Matt Boutell
 Description : Demo of dynamic memory allocation; how we can resize
			   arrays using malloc.
 ============================================================================
 */

#include <stdio.h>
#include <stdlib.h>

int main(void) {
	int size = 5;
	int nums[size];
	int num;
	int count = 0;
	printf("&size=%p, nums = %p, &num=%p, &count=%p\n", &size, nums, &num, &count);
	printf("Enter integer %d, negative to exit: ", count+1);
	fflush(stdout);
	scanf("%d", &num);
	while (num >= 0) {
		nums[count] = num;
		count++;
		printf("Enter integer %d, negative to exit: ", count+1);
		fflush(stdout);
		scanf("%d", &num);
	}

	int i, sum = 0;
	for (i = 0; i < count; i++) {
		printf("%d ", nums[i]);
		sum += nums[i];
	}
	printf("Average = %.2f", (float)sum/count);
	return 0;
}
